﻿import { schema } from "normalizr";

const countryEntity = new schema.Entity("countries", {}, { idAttribute: e => e.code });

const accountEntity = new schema.Entity("accounts", {});

const contactEntity = new schema.Entity("contacts", {
    account: accountEntity,
    address: {
        country: countryEntity
    }
});

export { countryEntity, accountEntity, contactEntity }

