import { renderHook, act } from 'react-hooks-testing-library';
import { useFilteredView } from '..';
import { AppState } from '../storeSample/models';
import { App } from '../storeSample/App';
import { store } from '../storeSample/';

test('should pass', () => {
    const s = (s: AppState) => s.dataFilters;
    const { result } = renderHook(() =>
        useFilteredView(s)("contactsAutoComplete", {
            initialQuery: {
                input: {
                    tag: "recent",
                    text: ""
                }
            }
        })
        , {  wrapper: App })

    console.log(result.current.matchKeys)

    expect.arrayContaining(result.current.matchKeys)
})